Bug 186824

Summary: [patch] print/cups* ports: update to 1.7.0 and more
Product: Ports & Packages Reporter: Boris Samorodov <bsam>
Component: Individual Port(s)Assignee: freebsd-ports-bugs (Nobody) <ports-bugs>
Status: Closed FIXED    
Severity: Affects Only Me    
Priority: Normal    
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
file.diff none

Description Boris Samorodov freebsd_committer 2014-02-16 21:00:00 UTC
. update to version 1.7.0;
. support staging;
. use GROUPS and USERS from GIDs and UIDs;
. remove some OPTIONS (they are no more valid);
. use new LIB_DEPENDS syntax;
. a (try to) fix LIBUSB option;
. 

Notes:
. I removed CUPS_OVERWRITE_BASE case but have no time to restore it correctly;
. cups-base and cups-client have exchanged at least one file, so one of them
  should be removed before updating;
. some pdf utils moved to new cups-filters ports, those changes should probably
  be more widely tested.

Other then that I've been using cups* 1.7.0 ports for two months with success.

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2014-02-16 21:00:13 UTC
Class Changed
From-To: update->maintainer-update

Fix category (submitter is maintainer) (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2014-02-16 21:00:15 UTC
Responsible Changed
From-To: freebsd-ports-bugs->bsam

Submitter is maintainer and has GNATS access (via the GNATS Auto Assign 
Tool)
Comment 3 Boris Samorodov freebsd_committer 2014-02-24 15:07:29 UTC
Responsible Changed
From-To: bsam->freebsd-ports-bugs

I do t maintain those ports any more.
Comment 4 frederic.praca 2014-03-06 22:12:16 UTC
Hi,
I just tested your patch against revision 347005 and have the following
problem :
[...]
===>   Registering installation for cups-client-1.7.0
pkg-static:
lstat(/usr/ports/print/cups-client/work/stage/usr/local/include/cups/adminutil.h):
No such file or directory
[... and so on for other headers]

When looking for these files, I found them here :
root@coruscant:/usr/ports/print/cups-client # find . -name adminutil.h
./work/cups-1.7.0/cups/adminutil.h
./work/stage/usr/ports/print/cups-client/work/stage/usr/local/include/cups/adminutil.h

As I don't have any staging skill, I was not really able to find what
was going wrong.

Fred
Comment 5 Baptiste Daroussin freebsd_committer 2014-03-30 22:16:54 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!
Comment 6 dfilter service freebsd_committer 2014-03-30 22:16:55 UTC
Author: bapt
Date: Sun Mar 30 21:16:39 2014
New Revision: 349679
URL: http://svnweb.freebsd.org/changeset/ports/349679
QAT: https://qat.redports.org/buildarchive/r349679/

Log:
  Update to cups to 1.7.1
  - Stage all cups related ports
  - Cleanup (it still needs more cleanup)
  
  Base on [1]
  
  PR:		ports/186824 [1]
  Submitted by:	bsam

Added:
  head/print/cups-base/files/patch-data-Makefile   (contents, props changed)
Deleted:
  head/print/cups-base/files/patch-Makefile
  head/print/cups-base/files/patch-cups-request.c
Modified:
  head/print/cups-base/Makefile
  head/print/cups-base/distinfo
  head/print/cups-base/pkg-plist
  head/print/cups-base/pkg-plist.client
  head/print/cups-base/pkg-plist.image
  head/print/cups-client/Makefile
  head/print/cups/Makefile

Modified: head/print/cups-base/Makefile
==============================================================================
--- head/print/cups-base/Makefile	Sun Mar 30 20:35:02 2014	(r349678)
+++ head/print/cups-base/Makefile	Sun Mar 30 21:16:39 2014	(r349679)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	cups
-PORTVERSION=	1.5.4
+PORTVERSION=	1.7.1
 DISTVERSIONSUFFIX=	-source
 PORTREVISION=	1
 CATEGORIES=	print
@@ -19,8 +19,8 @@ CONFLICTS=	LPRng-[0-9]*
 
 UNIQUENAME=	${PORTNAME}${PKGNAMESUFFIX}
 
-USE_BZIP2=	yes
-USES+=		gmake
+USES+=		gmake pkgconfig tar:bzip2
+DESTDIRNAME=	DSTROOT
 GNU_CONFIGURE=	yes
 CFLAGS+=	${PTHREAD_CFLAGS}
 CPPFLAGS+=	-I${LOCALBASE}/include
@@ -30,8 +30,8 @@ CONFIGURE_ENV=	DSOFLAGS="${DSOFLAGS}"
 CONFIGURE_ARGS+=	--localstatedir=/var			\
 			--disable-slp				\
 			--disable-gssapi			\
-			--with-cups-user=${CUPSOWN}		\
-			--with-cups-group=${CUPSGRP}		\
+			--with-cups-user=${USERS}		\
+			--with-cups-group=${GROUPS}		\
 			--with-system-groups=${CUPSSYSGRP}	\
 			--with-docdir=${DOCSDIR}		\
 			--with-icondir=${PREFIX}/share/icons	\
@@ -41,52 +41,40 @@ CONFIGURE_ARGS+=	--localstatedir=/var			
 			--with-pam-module="unix"		\
 			--enable-ssl
 
-CUPS_ETCDIR=	${PREFIX}/etc/cups
 CUPS_CACHEDIR?=	/var/db/cups
 CUPS_SPOOLDIR=	/var/spool/cups
 CUPS_SOCKET?=	/var/run/cups.sock
 CUPS_PDFTOPS?=	${LOCALBASE}/libexec/xpdf/pdftops
 WRKSRC=		${WRKDIR}/${PORTNAME}-${DISTVERSION}
 
-# file, dir ownership
-CUPSGRP=	cups
-CUPSOWN=	cups
 CUPSSYSGRP=	wheel
 # GROUPS/USERS does not work here
-#GROUPS=	cups
-#USERS=		cups
+GROUPS=	cups
+USERS=		cups
 
 # UNIQUENAME must be set before bsd.port.pre.mk so OPTIONSFILE can be included
 .if defined(CUPS_CLIENT)
-PORTREVISION=	1
+PORTREVISION=	0
 LICENSE=	LGPL21
 CUPS_SUFFIX=	-client
 OPTIONS_DEFINE=	GNUTLS
 .elif defined(CUPS_IMAGE)
-PORTREVISION=	1
+PORTREVISION=	0
 CUPS_SUFFIX=	-image
 LICENSE=	LGPL21
 OPTIONS_DEFINE=	GNUTLS
 .else
 INSTALLS_ICONS=	yes
-PORTREVISION=	1
+PORTREVISION=	0
 CUPS_SUFFIX=	-base
-OPTIONS_DEFINE=	GNUTLS LIBPAPER PHP PYTHON PAM LDAP DBUS LIBUSB XDG_OPEN GHOSTSCRIPT XPDF AVAHI MDNSRESPONDER
-OPTIONS_DEFAULT=	LIBPAPER GHOSTSCRIPT
+OPTIONS_DEFINE=	GNUTLS LIBPAPER PHP PYTHON PAM DBUS LIBUSB XDG_OPEN AVAHI MDNSRESPONDER
+OPTIONS_DEFAULT=	LIBPAPER
 NO_OPTIONS_SORT=	yes
 .endif
 
 LIBUSB_DESC=		USB support
-GHOSTSCRIPT_DESC=	Build pdftops with GHOSTSCRIPT
-XPDF_DESC=		Build pdftops with XPDF
 XDG_OPEN_DESC=		Build with XDG_OPEN as browser
 
-.if defined(CUPS_CLIENT) || defined(CUPS_IMAGE)
-USES+=		desthack
-.else
-NO_STAGE=	yes
-.endif
-
 .include <bsd.port.options.mk>
 
 .if defined(CUPS_CLIENT)
@@ -99,22 +87,21 @@ USE_LDCONFIG=	yes
 PKGMESSAGE=	${NONEXISTENT}
 DESCR=		${MASTERDIR}/pkg-descr.client
 .elif defined(CUPS_IMAGE)
-LIB_DEPENDS+=	cups:${PORTSDIR}/${PKGCATEGORY}/cups-client \
-		jpeg:${PORTSDIR}/graphics/jpeg \
-		png15:${PORTSDIR}/graphics/png \
-		tiff:${PORTSDIR}/graphics/tiff
+LIB_DEPENDS+=	libcups.so:${PORTSDIR}/${PKGCATEGORY}/cups-client \
+		libjpeg.so:${PORTSDIR}/graphics/jpeg \
+		libpng15.so:${PORTSDIR}/graphics/png \
+		libtiff.so:${PORTSDIR}/graphics/tiff
 # force build if old cups is installed.
 BUILD_DEPENDS+=	cups-client${PKGNAMESUFFIX2}>=${PORTVERSION}:${PORTSDIR}/${PKGCATEGORY}/cups-client
 COMMENT2=	Library cupsimage
-CONFIGURE_ARGS+=	--disable-pdftops
 INSTALL_WRKSRC=	${WRKSRC}/filter
 PLIST=		${MASTERDIR}/pkg-plist.image
 USE_LDCONFIG=	yes
 PKGMESSAGE=	${NONEXISTENT}
 DESCR=		${MASTERDIR}/pkg-descr.image
 .else
-LIB_DEPENDS+=	cups:${PORTSDIR}/${PKGCATEGORY}/cups-client
-LIB_DEPENDS+=	cupsimage:${PORTSDIR}/${PKGCATEGORY}/cups-image
+LIB_DEPENDS+=	libcups.so:${PORTSDIR}/${PKGCATEGORY}/cups-client \
+		libcupsimage.so:${PORTSDIR}/${PKGCATEGORY}/cups-image
 # force build if old cups is installed.
 BUILD_DEPENDS+=	cups-client${PKGNAMESUFFIX2}>=${PORTVERSION}:${PORTSDIR}/${PKGCATEGORY}/cups-client
 BUILD_DEPENDS+=	cups-image${PKGNAMESUFFIX2}>=${PORTVERSION}:${PORTSDIR}/${PKGCATEGORY}/cups-image
@@ -136,9 +123,8 @@ CONFIGURE_ARGS+=	--with-printcap=${PREFI
 
 .if ${PORT_OPTIONS:MGNUTLS}
 CONFIGURE_ARGS+=	--disable-openssl --enable-gnutls
-LIB_DEPENDS+=		gcrypt:${PORTSDIR}/security/libgcrypt
-LIB_DEPENDS+=		gnutls:${PORTSDIR}/security/gnutls
-USES+=		pkgconfig
+LIB_DEPENDS+=		libgcrypt.so:${PORTSDIR}/security/libgcrypt \
+			libgnutls.so:${PORTSDIR}/security/gnutls
 .else
 CONFIGURE_ARGS+=	--disable-gnutls --enable-openssl
 WITH_OPENSSL_HACK7=	yes
@@ -155,22 +141,6 @@ CONFIGURE_ARGS+=	--without-php
 PLIST_SUB+=		PHP="@comment "
 .endif
 
-.if !defined(CUPS_CLIENT) && !defined(CUPS_IMAGE) && ${PORT_OPTIONS:MGHOSTSCRIPT}
-.if ${PORT_OPTIONS:MXPDF}
-IGNORE=			You must select one and only one option to build pdftops
-.endif
-USE_GHOSTSCRIPT=	yes
-CONFIGURE_ARGS+=	--enable-pdftops --with-pdftops=${LOCALBASE}/bin/gs
-PLIST_SUB+=		WITH_PDFTOPS=""
-.elif !defined(CUPS_CLIENT) && !defined(CUPS_IMAGE) && ${PORT_OPTIONS:MXPDF}
-BUILD_DEPENDS+=		${CUPS_PDFTOPS}:${PORTSDIR}/graphics/xpdf
-RUN_DEPENDS+=		${CUPS_PDFTOPS}:${PORTSDIR}/graphics/xpdf
-CONFIGURE_ARGS+=	--enable-pdftops --with-pdftops=${CUPS_PDFTOPS}
-PLIST_SUB+=		WITH_PDFTOPS=""
-.else
-PLIST_SUB+=		WITH_PDFTOPS="@comment "
-.endif
-
 .if !defined(CUPS_CLIENT) && !defined(CUPS_IMAGE) && ${PORT_OPTIONS:MPYTHON}
 CONFIGURE_ARGS+=	--with-python
 USE_PYTHON=		yes
@@ -179,20 +149,20 @@ USE_PYTHON=		yes
 
 .if !defined(CUPS_CLIENT) && !defined(CUPS_IMAGE) && ${PORT_OPTIONS:MLIBPAPER}
 CONFIGURE_ARGS+=	--enable-libpaper
-LIB_DEPENDS+=		paper:${PORTSDIR}/print/libpaper
+LIB_DEPENDS+=		libpaper.so:${PORTSDIR}/print/libpaper
 .endif
 
 .if !defined(CUPS_CLIENT) && !defined(CUPS_IMAGE) && ${PORT_OPTIONS:MMDNSRESPONDER}
 .if ${PORT_OPTIONS:MAVAHI}
 IGNORE=			You must select one and only one option to build for Zeroconf
 .endif
-LIB_DEPENDS+=		dns_sd:${PORTSDIR}/net/mDNSResponder
+LIB_DEPENDS+=		libdns_sd.so:${PORTSDIR}/net/mDNSResponder
 CONFIGURE_ARGS+=	--with-dnssd-includes=${LOCALBASE}/include
 PLIST_SUB+=		WITH_MDNSRESPONDER=""
 .elif !defined(CUPS_CLIENT) && !defined(CUPS_IMAGE) && ${PORT_OPTIONS:MAVAHI}
 CONFIGURE_ARGS+=	--enable-dnssd \
 			--with-dnssd-libs=${LOCALBASE}/lib/
-LIB_DEPENDS+=		dns_sd:${PORTSDIR}/net/avahi-libdns
+LIB_DEPENDS+=		libdns_sd.so:${PORTSDIR}/net/avahi-libdns
 CONFIGURE_ARGS+=	--with-dnssd-includes=${LOCALBASE}/include/avahi-compat-libdns_sd/
 BROKEN=			missing function, see http://www.avahi.org/ticket/303
 .else
@@ -208,15 +178,8 @@ CONFIGURE_ARGS+=	--disable-pam
 PLIST_SUB+=		WITH_PAMD="@comment "
 .endif
 
-.if !defined(CUPS_CLIENT) && !defined(CUPS_IMAGE) && ${PORT_OPTIONS:MLDAP}
-USE_OPENLDAP=		yes
-CONFIGURE_ARGS+=	--enable-ldap
-.else
-CONFIGURE_ARGS+=	--disable-ldap
-.endif
-
 .if !defined(CUPS_CLIENT) && !defined(CUPS_IMAGE) && ${PORT_OPTIONS:MDBUS}
-LIB_DEPENDS+=		dbus-1:${PORTSDIR}/devel/dbus
+LIB_DEPENDS+=		libdbus-1.so:${PORTSDIR}/devel/dbus
 CONFIGURE_ARGS+=	--enable-dbus
 PLIST_SUB+=		WITH_DBUS=""
 .else
@@ -231,62 +194,13 @@ RUN_DEPENDS+=		xdg-open:${PORTSDIR}/deve
 .if !defined(CUPS_CLIENT) && !defined(CUPS_IMAGE) && ${PORT_OPTIONS:MLIBUSB}
 CPPFLAGS+=		-I/usr/include
 LDFLAGS+=		-L/usr/lib
+CONFIGURE_ARGS+=	--enable-libusb
 .else
 CONFIGURE_ARGS+=	--disable-libusb
 .endif
 CONFIGURE_ARGS+=	LIBS="-lssp_nonshared"
 
 .if ! defined(CUPS_CLIENT) && ! defined(CUPS_IMAGE)
-MAN1+=	cancel.1 \
-	cupstestdsc.1 \
-	cupstestppd.1 \
-	ipptool.1 \
-	lp.1 \
-	lpoptions.1 \
-	lppasswd.1 \
-	lpq.1 \
-	lprm.1 \
-	lpr.1 \
-	lpstat.1 \
-	ppdc.1 \
-	ppdhtml.1 \
-	ppdi.1 \
-	ppdmerge.1 \
-	ppdpo.1
-MAN5=	classes.conf.5 \
-	client.conf.5 \
-	cups-snmp.conf.5 \
-	cupsd.conf.5 \
-	ipptoolfile.5 \
-	mailto.conf.5 \
-	mime.convs.5 \
-	mime.types.5 \
-	ppdcfile.5 \
-	printers.conf.5 \
-	subscriptions.conf.5
-MAN7=	backend.7 \
-	filter.7 \
-	notifier.7
-MAN8=	accept.8 \
-	cupsaccept.8 \
-	cupsaddsmb.8 \
-	cupsctl.8 \
-	cupsd.8 \
-	cupsenable.8 \
-	cupsfilter.8 \
-	cups-deviced.8 \
-	cups-driverd.8 \
-	cups-lpd.8 \
-	cups-polld.8 \
-	lpadmin.8 \
-	lpinfo.8 \
-	lpmove.8 \
-	lpc.8
-
-MLINKS=	accept.8 reject.8 \
-	cupsaccept.8 cupsreject.8 \
-	cupsenable.8 cupsdisable.8
-
 SUB_FILES+=	ulpt-cupsd.conf ulpt-cupsd.sh
 .endif
 
@@ -332,10 +246,9 @@ post-patch:
 		-e 's|cups-config.$$.MAN1EXT. ||' \
 		${WRKSRC}/man/Makefile
 .endif
-
-pre-configure::
-	@${ECHO_MSG} Configuring CUPS with options:
-	@${ECHO_MSG} ${CONFIGURE_ARGS} | fmt
+.if ! ${PORT_OPTIONS:MLIBUSB}
+	@${REINPLACE_CMD} -e 's|xyes -o $$uname != Darwin||' ${WRKSRC}/configure
+.endif
 
 post-configure:
 .if defined(CUPS_CLIENT)
@@ -363,26 +276,6 @@ pre-build:
 .endif
 .endif
 
-.if !defined(CUPS_CLIENT) && !defined(CUPS_IMAGE)
-post-build:
-	cd ${WRKSRC}/filter && ${MAKE} pdftops
-.endif
-
-.if !defined(CUPS_CLIENT) && !defined(CUPS_IMAGE)
-pre-su-install:
-	@${INSTALL} -d ${DESKTOPDIR}/
-	if ! pw groupshow ${CUPSGRP}; then pw groupadd ${CUPSGRP} -g 193; fi
-	if ! pw usershow ${CUPSOWN}; then pw useradd ${CUPSOWN} -g ${CUPSGRP} -u 193 \
-		-h - -d ${NONEXISTENT} -s /usr/sbin/nologin -c "CUPS Owner"; fi
-.if defined(CUPS_OVERWRITE_BASE)
-	if test -e /usr/bin/lp; then ${CHMOD} -h 0 /usr/bin/lp; fi
-	if test -e /usr/bin/lpq; then ${CHMOD} -h 0 /usr/bin/lpq; fi
-	if test -e /usr/bin/lpr; then ${CHMOD} -h 0 /usr/bin/lpr; fi
-	if test -e /usr/bin/lprm; then ${CHMOD} -h 0 /usr/bin/lprm; fi
-	if test -e /usr/sbin/lpc; then ${CHMOD} -h 0 /usr/sbin/lpc; fi
-.endif
-.endif
-
 post-install:
 .if defined(CUPS_CLIENT)
 	${INSTALL_SCRIPT} ${WRKSRC}/cups-config ${STAGEDIR}${PREFIX}/bin
@@ -392,28 +285,18 @@ post-install:
 	${INSTALL_DATA} ${WRKSRC}/cups/raster.h ${STAGEDIR}${PREFIX}/include/cups
 .else
 .if  ${PORT_OPTIONS:MGHOSTSCRIPT} || ${PORT_OPTIONS:MXPDF}
-	${INSTALL_PROGRAM} ${WRKSRC}/filter/pdftops ${PREFIX}/libexec/cups/filter/
+	${INSTALL_PROGRAM} ${WRKSRC}/filter/pdftops  ${STAGEDIR}${PREFIX}/libexec/cups/filter/
 .endif
-	${LN} -sf ${PREFIX}/bin/lpr ${PREFIX}/bin/lpr-cups
-	${INSTALL} -d ${CUPS_ETCDIR}/
-	${CP} -p ${WRKSRC}/conf/snmp.conf ${WRKSRC}/conf/snmp.conf.N
+	${LN} -sf lpr ${STAGEDIR}${PREFIX}/bin/lpr-cups
+	${MKDIR} ${STAGEDIR}${ETCDIR}/
 .for f in cupsd.conf mime.convs mime.types snmp.conf
-	${INSTALL_DATA} ${WRKSRC}/conf/${f} ${CUPS_ETCDIR}/${f}.N
-	cd ${CUPS_ETCDIR}/; if test ! -f ${f}; then ${CP} -p ${f}.N ${f}; fi
+	test -f ${STAGEDIR}${ETCDIR}/${f} && ${RM} -f ${STAGEDIR}${ETCDIR}/${f} || ${TRUE}
+	${INSTALL_DATA} ${WRKSRC}/conf/${f} ${STAGEDIR}${ETCDIR}/${f}.sample
 .endfor
-.if  ${PORT_OPTIONS:MPAM}
-	@if [ ! -f ${PREFIX}/etc/pam.d/cups ]; then \
-		${CP} -p ${PREFIX}/etc/pam.d/cups.default \
-		${PREFIX}/etc/pam.d/cups ; \
-	fi
-.endif
-	${MKDIR} ${EXAMPLESDIR}
-	${INSTALL_DATA} ${WRKDIR}/ulpt-cupsd.conf ${EXAMPLESDIR}/
-	${INSTALL_SCRIPT} ${WRKDIR}/ulpt-cupsd.sh ${PREFIX}/sbin/
-	${INSTALL} -d ${CUPS_SPOOLDIR}/tmp/
-	${CHOWN} -R ${CUPSOWN}:${CUPSGRP} ${CUPS_SPOOLDIR}/
-	${CHMOD} -R g+w ${CUPS_SPOOLDIR}/
-	${INSTALL} -d -m 775 -g ${CUPSGRP} ${CUPS_CACHEDIR}
+	@${MV} ${STAGEDIR}${ETCDIR}/cups-files.conf ${STAGEDIR}${ETCDIR}/cups-files.conf.sample
+	@${MKDIR} ${STAGEDIR}${EXAMPLESDIR}
+	${INSTALL_DATA} ${WRKDIR}/ulpt-cupsd.conf ${STAGEDIR}${EXAMPLESDIR}/
+	${INSTALL_SCRIPT} ${WRKDIR}/ulpt-cupsd.sh ${STAGEDIR}${PREFIX}/sbin/
 .endif
 
 .include <bsd.port.mk>

Modified: head/print/cups-base/distinfo
==============================================================================
--- head/print/cups-base/distinfo	Sun Mar 30 20:35:02 2014	(r349678)
+++ head/print/cups-base/distinfo	Sun Mar 30 21:16:39 2014	(r349679)
@@ -1,2 +1,2 @@
-SHA256 (cups-1.5.4-source.tar.bz2) = 8023034e8b58eab1ad7279364e872270a77459f6fb59a84d03229cb1d2a6d0e5
-SIZE (cups-1.5.4-source.tar.bz2) = 9583002
+SHA256 (cups-1.7.1-source.tar.bz2) = f52bec893d9daf92b6029be79c07e6c516b4c85ffae3e6e01885cc85e9081681
+SIZE (cups-1.7.1-source.tar.bz2) = 8738002

Added: head/print/cups-base/files/patch-data-Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/print/cups-base/files/patch-data-Makefile	Sun Mar 30 21:16:39 2014	(r349679)
@@ -0,0 +1,25 @@
+--- data/Makefile.orig	2013-05-29 15:51:34.000000000 +0400
++++ data/Makefile	2013-12-11 17:17:05.670284926 +0400
+@@ -86,14 +86,14 @@
+ #
+ 
+ install-data:
+-	$(INSTALL_DIR) -m 755 $(DATADIR)/banners
+-	for file in $(BANNERS); do \
+-		$(INSTALL_DATA) $$file $(DATADIR)/banners; \
+-	done
+-	$(INSTALL_DIR) -m 755 $(DATADIR)/data
+-	for file in $(DATAFILES); do \
+-		$(INSTALL_DATA) $$file $(DATADIR)/data; \
+-	done
++#	$(INSTALL_DIR) -m 755 $(DATADIR)/banners
++#	for file in $(BANNERS); do \
++#		$(INSTALL_DATA) $$file $(DATADIR)/banners; \
++#	done
++#	$(INSTALL_DIR) -m 755 $(DATADIR)/data
++#	for file in $(DATAFILES); do \
++#		$(INSTALL_DATA) $$file $(DATADIR)/data; \
++#	done
+ 	$(INSTALL_DIR) -m 755 $(DATADIR)/model
+ 	$(INSTALL_DIR) -m 755 $(DATADIR)/ppdc
+ 	for file in $(PPDCFILES); do \

Modified: head/print/cups-base/pkg-plist
==============================================================================
--- head/print/cups-base/pkg-plist	Sun Mar 30 20:35:02 2014	(r349678)
+++ head/print/cups-base/pkg-plist	Sun Mar 30 21:16:39 2014	(r349679)
@@ -1,21 +1,20 @@
-@exec if ! pw groupshow cups 2>/dev/null; then pw groupadd cups -g 193; fi
-@exec if ! pw usershow cups 2>/dev/null; then pw useradd cups -g cups -u 193 -h - -d /nonexistent -s /usr/sbin/nologin -c "CUPS Owner"; fi
-@unexec if pw usershow cups; then pw userdel cups; fi
 @exec mkdir -p /var/spool/cups/tmp || true
-@exec chown -R root:daemon /var/spool/cups
-@exec mkdir -p %%CACHEDIR%% || true
-@exec chown root:cups %%CACHEDIR%%
-@exec chmod 775 %%CACHEDIR%%
+@exec chown -R root:cups /var/spool/cups
+@exec chmod 1710 /var/spool/cups/tmp
+@comment
+@exec mkdir -p %%CACHEDIR%%/rss || true
+@exec chown -R root:cups %%CACHEDIR%%
+@exec chmod -R 775 %%CACHEDIR%%
+@comment
 @exec mkdir -p /var/log/cups || true
 @exec chown cups:daemon /var/log/cups
+@comment
+@exec mkdir -p /var/run/cups/certs
+@exec chown root:cups /var/run/cups
+@exec chown cups:wheel /var/run/cups/certs
+@comment
 @exec mkdir -p %D/etc/cups/ppd || true
 @exec mkdir -p %D/etc/cups/interfaces || true
-@unexec rm -rf %%CACHEDIR%% 2>/dev/null || true
-@unexec rmdir /var/spool/cups/tmp 2>/dev/null || true
-@unexec rmdir /var/spool/cups 2>/dev/null || true
-@unexec rmdir /var/log/cups 2>/dev/null || true
-@unexec rmdir /var/run/cups/certs 2>/dev/null || true
-@unexec rmdir /var/run/cups 2>/dev/null || true
 %%OVERWRITE%%@exec if test -e /usr/bin/lp; then chmod -h 0 /usr/bin/lp; fi
 %%OVERWRITE%%@exec if test -e /usr/bin/lpq; then chmod -h 0 /usr/bin/lpq; fi
 %%OVERWRITE%%@exec if test -e /usr/bin/lpr; then chmod -h 0 /usr/bin/lpr; fi
@@ -26,18 +25,22 @@
 %%OVERWRITE%%@unexec if test -e /usr/bin/lpr; then chmod -h 06555 /usr/bin/lpr; fi
 %%OVERWRITE%%@unexec if test -e /usr/bin/lprm; then chmod -h 06555 /usr/bin/lprm; fi
 %%OVERWRITE%%@unexec if test -e /usr/sbin/lpc; then chmod -h 02555 /usr/sbin/lpc; fi
-@unexec if cmp -s %D/etc/cups/cupsd.conf.N %D/etc/cups/cupsd.conf; then rm -f %D/etc/cups/cupsd.conf; fi
-etc/cups/cupsd.conf.N
-@exec if test ! -f %D/etc/cups/cupsd.conf; then cp -p %D/etc/cups/cupsd.conf.N %D/etc/cups/cupsd.conf; fi
-@unexec if cmp -s %D/etc/cups/mime.convs.N %D/etc/cups/mime.convs; then rm -f %D/etc/cups/mime.convs; fi
-etc/cups/mime.convs.N
-@exec if test ! -f %D/etc/cups/mime.convs; then cp -p %D/etc/cups/mime.convs.N %D/etc/cups/mime.convs; fi
-@unexec if cmp -s %D/etc/cups/mime.types.N %D/etc/cups/mime.types; then rm -f %D/etc/cups/mime.types; fi
-etc/cups/mime.types.N
-@exec if test ! -f %D/etc/cups/mime.types; then cp -p %D/etc/cups/mime.types.N %D/etc/cups/mime.types; fi
-@unexec if cmp -s %D/etc/cups/snmp.conf.N %D/etc/cups/snmp.conf; then rm -f %D/etc/cups/snmp.conf; fi
-etc/cups/snmp.conf.N
-@exec if test ! -f %D/etc/cups/snmp.conf; then cp -p %D/etc/cups/snmp.conf.N %D/etc/cups/snmp.conf; fi
+@unexec if cmp -s %D/etc/cups/cups-files.conf.sample %D/etc/cups/cups-files.conf; then rm -f %D/etc/cups/cups-files.conf; fi
+@comment %%ETCDIR%%/cups-files.conf.sample
+%%ETCDIR%%/cups-files.conf.sample
+@exec if test ! -f %D/etc/cups/cups-files.conf; then cp -p %D/etc/cups/cups-files.conf.sample %D/etc/cups/cups-files.conf; fi
+@unexec if cmp -s %D/etc/cups/cupsd.conf.sample %D/etc/cups/cupsd.conf; then rm -f %D/etc/cups/cupsd.conf; fi
+%%ETCDIR%%/cupsd.conf.sample
+@exec if test ! -f %D/etc/cups/cupsd.conf; then cp -p %D/etc/cups/cupsd.conf.sample %D/etc/cups/cupsd.conf; fi
+@unexec if cmp -s %D/etc/cups/mime.convs.sample %D/etc/cups/mime.convs; then rm -f %D/etc/cups/mime.convs; fi
+%%ETCDIR%%/mime.convs.sample
+@exec if test ! -f %D/etc/cups/mime.convs; then cp -p %D/etc/cups/mime.convs.sample %D/etc/cups/mime.convs; fi
+@unexec if cmp -s %D/etc/cups/mime.types.sample %D/etc/cups/mime.types; then rm -f %D/etc/cups/mime.types; fi
+%%ETCDIR%%/mime.types.sample
+@exec if test ! -f %D/etc/cups/mime.types; then cp -p %D/etc/cups/mime.types.sample %D/etc/cups/mime.types; fi
+@unexec if cmp -s %D/etc/cups/snmp.conf.sample %D/etc/cups/snmp.conf; then rm -f %D/etc/cups/snmp.conf; fi
+%%ETCDIR%%/snmp.conf.sample
+@exec if test ! -f %D/etc/cups/snmp.conf; then cp -p %D/etc/cups/snmp.conf.sample %D/etc/cups/snmp.conf; fi
 @exec chgrp cups %D/etc/cups
 %%WITH_PAMD%%@unexec if cmp -s %D/etc/pam.d/cups.default %D/etc/pam.d/cups; then rm -f %D/etc/pam.d/cups ; fi
 %%WITH_PAMD%%etc/pam.d/cups.default
@@ -45,6 +48,7 @@ etc/cups/snmp.conf.N
 bin/cancel
 bin/cupstestdsc
 bin/cupstestppd
+@comment bin/ippfind
 bin/ipptool
 bin/lp
 bin/lpoptions
@@ -61,14 +65,11 @@ bin/ppdmerge
 bin/ppdpo
 etc/cups/cupsd.conf.default
 include/cups/cgi.h
-include/cups/driver.h
 include/cups/help-index.h
 include/cups/mime.h
 include/cups/ppdc.h
 lib/libcupscgi.so
 lib/libcupscgi.so.1
-lib/libcupsdriver.so
-lib/libcupsdriver.so.1
 lib/libcupsmime.so
 lib/libcupsmime.so.1
 lib/libcupsppdc.so
@@ -79,8 +80,6 @@ libexec/cups/backend/https
 libexec/cups/backend/ipp
 libexec/cups/backend/ipps
 libexec/cups/backend/lpd
-libexec/cups/backend/parallel
-libexec/cups/backend/serial
 libexec/cups/backend/snmp
 libexec/cups/backend/socket
 libexec/cups/backend/usb
@@ -95,17 +94,61 @@ libexec/cups/daemon/cups-deviced
 libexec/cups/daemon/cups-driverd
 libexec/cups/daemon/cups-exec
 libexec/cups/daemon/cups-lpd
-libexec/cups/daemon/cups-polld
-libexec/cups/filter/commandtoescpx
-libexec/cups/filter/commandtopclx
-%%WITH_PDFTOPS%%libexec/cups/filter/pdftops
-libexec/cups/filter/rastertoescpx
-libexec/cups/filter/rastertopclx
 libexec/cups/monitor/bcp
 libexec/cups/monitor/tbcp
 %%WITH_DBUS%%libexec/cups/notifier/dbus
 libexec/cups/notifier/mailto
 libexec/cups/notifier/rss
+man/man1/cancel.1.gz
+man/man1/cupstestdsc.1.gz
+man/man1/cupstestppd.1.gz
+@comment man/man1/ippfind.1.gz
+man/man1/ipptool.1.gz
+man/man1/lp.1.gz
+man/man1/lpoptions.1.gz
+man/man1/lppasswd.1.gz
+man/man1/lpq.1.gz
+man/man1/lpr.1.gz
+man/man1/lprm.1.gz
+man/man1/lpstat.1.gz
+man/man1/ppdc.1.gz
+man/man1/ppdhtml.1.gz
+man/man1/ppdi.1.gz
+man/man1/ppdmerge.1.gz
+man/man1/ppdpo.1.gz
+man/man5/classes.conf.5.gz
+man/man5/client.conf.5.gz
+man/man5/cups-files.conf.5.gz
+man/man5/cups-snmp.conf.5.gz
+man/man5/cupsd.conf.5.gz
+man/man5/ipptoolfile.5.gz
+man/man5/mailto.conf.5.gz
+man/man5/mime.convs.5.gz
+man/man5/mime.types.5.gz
+man/man5/ppdcfile.5.gz
+man/man5/printers.conf.5.gz
+man/man5/subscriptions.conf.5.gz
+man/man7/backend.7.gz
+man/man7/filter.7.gz
+man/man7/notifier.7.gz
+man/man8/accept.8.gz
+man/man8/cups-deviced.8.gz
+man/man8/cups-driverd.8.gz
+man/man8/cups-lpd.8.gz
+man/man8/cups-snmp.8.gz
+man/man8/cupsaccept.8.gz
+man/man8/cupsaddsmb.8.gz
+man/man8/cupsctl.8.gz
+man/man8/cupsd.8.gz
+man/man8/cupsdisable.8.gz
+man/man8/cupsenable.8.gz
+man/man8/cupsfilter.8.gz
+man/man8/cupsreject.8.gz
+man/man8/lpadmin.8.gz
+man/man8/lpc.8.gz
+man/man8/lpinfo.8.gz
+man/man8/lpmove.8.gz
+man/man8/reject.8.gz
 sbin/accept
 sbin/cupsaccept
 sbin/cupsaddsmb
@@ -115,21 +158,12 @@ sbin/cupsdisable
 sbin/cupsenable
 sbin/cupsfilter
 sbin/cupsreject
-sbin/ulpt-cupsd.sh
 sbin/lpadmin
 sbin/lpc
 sbin/lpinfo
 sbin/lpmove
 sbin/reject
-%%DATADIR%%/banners/classified
-%%DATADIR%%/banners/confidential
-%%DATADIR%%/banners/secret
-%%DATADIR%%/banners/standard
-%%DATADIR%%/banners/topsecret
-%%DATADIR%%/banners/unclassified
-%%DATADIR%%/charsets/utf-8
-%%DATADIR%%/data/psglyphs
-%%DATADIR%%/data/testprint
+sbin/ulpt-cupsd.sh
 %%DATADIR%%/drv/sample.drv
 %%DATADIR%%/examples/color.drv
 %%DATADIR%%/examples/constraint.drv
@@ -142,24 +176,118 @@ sbin/reject
 %%DATADIR%%/examples/r300-basic.drv
 %%DATADIR%%/examples/r300-colorman.drv
 %%DATADIR%%/examples/r300-remote.drv
-%%DATADIR%%/fonts/Monospace
-%%DATADIR%%/fonts/Monospace-Bold
-%%DATADIR%%/fonts/Monospace-BoldOblique
-%%DATADIR%%/fonts/Monospace-Oblique
+%%DATADIR%%/ipptool/color.jpg
+%%DATADIR%%/ipptool/create-printer-subscription.test
+%%DATADIR%%/ipptool/document-a4.pdf
+%%DATADIR%%/ipptool/document-a4.ps
+%%DATADIR%%/ipptool/document-letter.pdf
+%%DATADIR%%/ipptool/document-letter.ps
+%%DATADIR%%/ipptool/get-completed-jobs.test
+%%DATADIR%%/ipptool/get-jobs.test
+%%DATADIR%%/ipptool/get-notifications.test
+%%DATADIR%%/ipptool/get-printer-attributes.test
+%%DATADIR%%/ipptool/get-subscriptions.test
+%%DATADIR%%/ipptool/gray.jpg
+%%DATADIR%%/ipptool/ipp-1.1.test
+%%DATADIR%%/ipptool/ipp-2.0.test
+%%DATADIR%%/ipptool/ipp-2.1.test
+%%DATADIR%%/ipptool/ipp-2.2.test
+%%DATADIR%%/ipptool/ipp-everywhere.test
+%%DATADIR%%/ipptool/onepage-a4.pdf
+%%DATADIR%%/ipptool/onepage-a4.ps
+%%DATADIR%%/ipptool/onepage-letter.pdf
+%%DATADIR%%/ipptool/onepage-letter.ps
+%%DATADIR%%/ipptool/print-job-deflate.test
+%%DATADIR%%/ipptool/print-job-gzip.test
+%%DATADIR%%/ipptool/print-job.test
+%%DATADIR%%/ipptool/testfile.jpg
+%%DATADIR%%/ipptool/testfile.pcl
+%%DATADIR%%/ipptool/testfile.pdf
+%%DATADIR%%/ipptool/testfile.ps
+%%DATADIR%%/ipptool/testfile.txt
+%%DATADIR%%/ipptool/validate-job.test
 %%DATADIR%%/mime/mime.convs
 %%DATADIR%%/mime/mime.types
 %%DATADIR%%/ppdc/epson.h
-%%DATADIR%%/ppdc/escp.h
 %%DATADIR%%/ppdc/font.defs
 %%DATADIR%%/ppdc/hp.h
 %%DATADIR%%/ppdc/label.h
 %%DATADIR%%/ppdc/media.defs
-%%DATADIR%%/ppdc/pcl.h
 %%DATADIR%%/ppdc/raster.defs
 %%DATADIR%%/templates/add-class.tmpl
 %%DATADIR%%/templates/add-printer.tmpl
 %%DATADIR%%/templates/add-rss-subscription.tmpl
 %%DATADIR%%/templates/admin.tmpl
+%%DATADIR%%/templates/ca/add-class.tmpl
+%%DATADIR%%/templates/ca/add-printer.tmpl
+%%DATADIR%%/templates/ca/add-rss-subscription.tmpl
+%%DATADIR%%/templates/ca/admin.tmpl
+%%DATADIR%%/templates/ca/choose-device.tmpl
+%%DATADIR%%/templates/ca/choose-make.tmpl
+%%DATADIR%%/templates/ca/choose-model.tmpl
+%%DATADIR%%/templates/ca/choose-serial.tmpl
+%%DATADIR%%/templates/ca/choose-uri.tmpl
+%%DATADIR%%/templates/ca/class-added.tmpl
+%%DATADIR%%/templates/ca/class-confirm.tmpl
+%%DATADIR%%/templates/ca/class-deleted.tmpl
+%%DATADIR%%/templates/ca/class-jobs-header.tmpl
+%%DATADIR%%/templates/ca/class-modified.tmpl
+%%DATADIR%%/templates/ca/class.tmpl
+%%DATADIR%%/templates/ca/classes-header.tmpl
+%%DATADIR%%/templates/ca/classes.tmpl
+%%DATADIR%%/templates/ca/command.tmpl
+%%DATADIR%%/templates/ca/edit-config.tmpl
+%%DATADIR%%/templates/ca/error-op.tmpl
+%%DATADIR%%/templates/ca/error.tmpl
+%%DATADIR%%/templates/ca/header.tmpl
+%%DATADIR%%/templates/ca/help-header.tmpl
+%%DATADIR%%/templates/ca/help-printable.tmpl
+%%DATADIR%%/templates/ca/help-trailer.tmpl
+%%DATADIR%%/templates/ca/job-cancel.tmpl
+%%DATADIR%%/templates/ca/job-hold.tmpl
+%%DATADIR%%/templates/ca/job-move.tmpl
+%%DATADIR%%/templates/ca/job-moved.tmpl
+%%DATADIR%%/templates/ca/job-release.tmpl
+%%DATADIR%%/templates/ca/job-restart.tmpl
+%%DATADIR%%/templates/ca/jobs-header.tmpl
+%%DATADIR%%/templates/ca/jobs.tmpl
+%%DATADIR%%/templates/ca/list-available-printers.tmpl
+%%DATADIR%%/templates/ca/modify-class.tmpl
+%%DATADIR%%/templates/ca/modify-printer.tmpl
+%%DATADIR%%/templates/ca/norestart.tmpl
+%%DATADIR%%/templates/ca/option-boolean.tmpl
+%%DATADIR%%/templates/ca/option-conflict.tmpl
+%%DATADIR%%/templates/ca/option-header.tmpl
+%%DATADIR%%/templates/ca/option-pickmany.tmpl
+%%DATADIR%%/templates/ca/option-pickone.tmpl
+%%DATADIR%%/templates/ca/option-trailer.tmpl
+%%DATADIR%%/templates/ca/pager.tmpl
+%%DATADIR%%/templates/ca/printer-accept.tmpl
+%%DATADIR%%/templates/ca/printer-added.tmpl
+%%DATADIR%%/templates/ca/printer-configured.tmpl
+%%DATADIR%%/templates/ca/printer-confirm.tmpl
+%%DATADIR%%/templates/ca/printer-default.tmpl
+%%DATADIR%%/templates/ca/printer-deleted.tmpl
+%%DATADIR%%/templates/ca/printer-jobs-header.tmpl
+%%DATADIR%%/templates/ca/printer-modified.tmpl
+%%DATADIR%%/templates/ca/printer-purge.tmpl
+%%DATADIR%%/templates/ca/printer-reject.tmpl
+%%DATADIR%%/templates/ca/printer-start.tmpl
+%%DATADIR%%/templates/ca/printer-stop.tmpl
+%%DATADIR%%/templates/ca/printer.tmpl
+%%DATADIR%%/templates/ca/printers-header.tmpl
+%%DATADIR%%/templates/ca/printers.tmpl
+%%DATADIR%%/templates/ca/restart.tmpl
+%%DATADIR%%/templates/ca/samba-export.tmpl
+%%DATADIR%%/templates/ca/samba-exported.tmpl
+%%DATADIR%%/templates/ca/search.tmpl
+%%DATADIR%%/templates/ca/set-printer-options-header.tmpl
+%%DATADIR%%/templates/ca/set-printer-options-trailer.tmpl
+%%DATADIR%%/templates/ca/subscription-added.tmpl
+%%DATADIR%%/templates/ca/subscription-canceled.tmpl
+%%DATADIR%%/templates/ca/test-page.tmpl
+%%DATADIR%%/templates/ca/trailer.tmpl
+%%DATADIR%%/templates/ca/users.tmpl
 %%DATADIR%%/templates/choose-device.tmpl
 %%DATADIR%%/templates/choose-make.tmpl
 %%DATADIR%%/templates/choose-model.tmpl
@@ -174,76 +302,76 @@ sbin/reject
 %%DATADIR%%/templates/classes-header.tmpl
 %%DATADIR%%/templates/classes.tmpl
 %%DATADIR%%/templates/command.tmpl
-%%DATADIR%%/templates/de/add-class.tmpl
-%%DATADIR%%/templates/de/add-printer.tmpl
-%%DATADIR%%/templates/de/add-rss-subscription.tmpl
-%%DATADIR%%/templates/de/admin.tmpl
-%%DATADIR%%/templates/de/choose-device.tmpl
-%%DATADIR%%/templates/de/choose-make.tmpl
-%%DATADIR%%/templates/de/choose-model.tmpl
-%%DATADIR%%/templates/de/choose-serial.tmpl
-%%DATADIR%%/templates/de/choose-uri.tmpl
-%%DATADIR%%/templates/de/class-added.tmpl
-%%DATADIR%%/templates/de/class-confirm.tmpl
-%%DATADIR%%/templates/de/class-deleted.tmpl
-%%DATADIR%%/templates/de/class-jobs-header.tmpl
-%%DATADIR%%/templates/de/class-modified.tmpl
-%%DATADIR%%/templates/de/class.tmpl
-%%DATADIR%%/templates/de/classes-header.tmpl
-%%DATADIR%%/templates/de/classes.tmpl
-%%DATADIR%%/templates/de/command.tmpl
-%%DATADIR%%/templates/de/edit-config.tmpl
-%%DATADIR%%/templates/de/error-op.tmpl
-%%DATADIR%%/templates/de/error.tmpl
-%%DATADIR%%/templates/de/header.tmpl
-%%DATADIR%%/templates/de/help-header.tmpl
-%%DATADIR%%/templates/de/help-trailer.tmpl
-%%DATADIR%%/templates/de/help-printable.tmpl
-%%DATADIR%%/templates/de/job-cancel.tmpl
-%%DATADIR%%/templates/de/job-hold.tmpl
-%%DATADIR%%/templates/de/job-move.tmpl
-%%DATADIR%%/templates/de/job-moved.tmpl
-%%DATADIR%%/templates/de/job-release.tmpl
-%%DATADIR%%/templates/de/job-restart.tmpl
-%%DATADIR%%/templates/de/jobs-header.tmpl
-%%DATADIR%%/templates/de/jobs.tmpl
-%%DATADIR%%/templates/de/list-available-printers.tmpl
-%%DATADIR%%/templates/de/modify-class.tmpl
-%%DATADIR%%/templates/de/modify-printer.tmpl
-%%DATADIR%%/templates/de/norestart.tmpl
-%%DATADIR%%/templates/de/option-boolean.tmpl
-%%DATADIR%%/templates/de/option-conflict.tmpl
-%%DATADIR%%/templates/de/option-header.tmpl
-%%DATADIR%%/templates/de/option-pickmany.tmpl
-%%DATADIR%%/templates/de/option-pickone.tmpl
-%%DATADIR%%/templates/de/option-trailer.tmpl
-%%DATADIR%%/templates/de/pager.tmpl
-%%DATADIR%%/templates/de/printer-accept.tmpl
-%%DATADIR%%/templates/de/printer-added.tmpl
-%%DATADIR%%/templates/de/printer-configured.tmpl
-%%DATADIR%%/templates/de/printer-confirm.tmpl
-%%DATADIR%%/templates/de/printer-default.tmpl
-%%DATADIR%%/templates/de/printer-deleted.tmpl
-%%DATADIR%%/templates/de/printer-jobs-header.tmpl
-%%DATADIR%%/templates/de/printer-modified.tmpl
-%%DATADIR%%/templates/de/printer-purge.tmpl
-%%DATADIR%%/templates/de/printer-reject.tmpl
-%%DATADIR%%/templates/de/printer-start.tmpl
-%%DATADIR%%/templates/de/printer-stop.tmpl
-%%DATADIR%%/templates/de/printer.tmpl
-%%DATADIR%%/templates/de/printers-header.tmpl
-%%DATADIR%%/templates/de/printers.tmpl
-%%DATADIR%%/templates/de/restart.tmpl
-%%DATADIR%%/templates/de/samba-export.tmpl
-%%DATADIR%%/templates/de/samba-exported.tmpl
-%%DATADIR%%/templates/de/search.tmpl
-%%DATADIR%%/templates/de/set-printer-options-header.tmpl
-%%DATADIR%%/templates/de/set-printer-options-trailer.tmpl
-%%DATADIR%%/templates/de/subscription-added.tmpl
-%%DATADIR%%/templates/de/subscription-canceled.tmpl
-%%DATADIR%%/templates/de/test-page.tmpl
-%%DATADIR%%/templates/de/trailer.tmpl
-%%DATADIR%%/templates/de/users.tmpl
+%%DATADIR%%/templates/cs/add-class.tmpl
+%%DATADIR%%/templates/cs/add-printer.tmpl
+%%DATADIR%%/templates/cs/add-rss-subscription.tmpl
+%%DATADIR%%/templates/cs/admin.tmpl
+%%DATADIR%%/templates/cs/choose-device.tmpl
+%%DATADIR%%/templates/cs/choose-make.tmpl
+%%DATADIR%%/templates/cs/choose-model.tmpl
+%%DATADIR%%/templates/cs/choose-serial.tmpl
+%%DATADIR%%/templates/cs/choose-uri.tmpl
+%%DATADIR%%/templates/cs/class-added.tmpl
+%%DATADIR%%/templates/cs/class-confirm.tmpl
+%%DATADIR%%/templates/cs/class-deleted.tmpl
+%%DATADIR%%/templates/cs/class-jobs-header.tmpl
+%%DATADIR%%/templates/cs/class-modified.tmpl
+%%DATADIR%%/templates/cs/class.tmpl
+%%DATADIR%%/templates/cs/classes-header.tmpl
+%%DATADIR%%/templates/cs/classes.tmpl
+%%DATADIR%%/templates/cs/command.tmpl
+%%DATADIR%%/templates/cs/edit-config.tmpl
+%%DATADIR%%/templates/cs/error-op.tmpl
+%%DATADIR%%/templates/cs/error.tmpl
+%%DATADIR%%/templates/cs/header.tmpl
+%%DATADIR%%/templates/cs/help-header.tmpl
+%%DATADIR%%/templates/cs/help-printable.tmpl
+%%DATADIR%%/templates/cs/help-trailer.tmpl
+%%DATADIR%%/templates/cs/job-cancel.tmpl
+%%DATADIR%%/templates/cs/job-hold.tmpl
+%%DATADIR%%/templates/cs/job-move.tmpl
+%%DATADIR%%/templates/cs/job-moved.tmpl
+%%DATADIR%%/templates/cs/job-release.tmpl
+%%DATADIR%%/templates/cs/job-restart.tmpl
+%%DATADIR%%/templates/cs/jobs-header.tmpl
+%%DATADIR%%/templates/cs/jobs.tmpl
+%%DATADIR%%/templates/cs/list-available-printers.tmpl
+%%DATADIR%%/templates/cs/modify-class.tmpl
+%%DATADIR%%/templates/cs/modify-printer.tmpl
+%%DATADIR%%/templates/cs/norestart.tmpl
+%%DATADIR%%/templates/cs/option-boolean.tmpl
+%%DATADIR%%/templates/cs/option-conflict.tmpl
+%%DATADIR%%/templates/cs/option-header.tmpl
+%%DATADIR%%/templates/cs/option-pickmany.tmpl
+%%DATADIR%%/templates/cs/option-pickone.tmpl
+%%DATADIR%%/templates/cs/option-trailer.tmpl
+%%DATADIR%%/templates/cs/pager.tmpl
+%%DATADIR%%/templates/cs/printer-accept.tmpl
+%%DATADIR%%/templates/cs/printer-added.tmpl
+%%DATADIR%%/templates/cs/printer-configured.tmpl
+%%DATADIR%%/templates/cs/printer-confirm.tmpl
+%%DATADIR%%/templates/cs/printer-default.tmpl
+%%DATADIR%%/templates/cs/printer-deleted.tmpl
+%%DATADIR%%/templates/cs/printer-jobs-header.tmpl
+%%DATADIR%%/templates/cs/printer-modified.tmpl
+%%DATADIR%%/templates/cs/printer-purge.tmpl
+%%DATADIR%%/templates/cs/printer-reject.tmpl
+%%DATADIR%%/templates/cs/printer-start.tmpl
+%%DATADIR%%/templates/cs/printer-stop.tmpl
+%%DATADIR%%/templates/cs/printer.tmpl
+%%DATADIR%%/templates/cs/printers-header.tmpl
+%%DATADIR%%/templates/cs/printers.tmpl
+%%DATADIR%%/templates/cs/restart.tmpl
+%%DATADIR%%/templates/cs/samba-export.tmpl
+%%DATADIR%%/templates/cs/samba-exported.tmpl
+%%DATADIR%%/templates/cs/search.tmpl
+%%DATADIR%%/templates/cs/set-printer-options-header.tmpl
+%%DATADIR%%/templates/cs/set-printer-options-trailer.tmpl
+%%DATADIR%%/templates/cs/subscription-added.tmpl
+%%DATADIR%%/templates/cs/subscription-canceled.tmpl
+%%DATADIR%%/templates/cs/test-page.tmpl
+%%DATADIR%%/templates/cs/trailer.tmpl
+%%DATADIR%%/templates/cs/users.tmpl
 %%DATADIR%%/templates/edit-config.tmpl
 %%DATADIR%%/templates/error-op.tmpl
 %%DATADIR%%/templates/error.tmpl
@@ -317,76 +445,6 @@ sbin/reject
 %%DATADIR%%/templates/es/test-page.tmpl
 %%DATADIR%%/templates/es/trailer.tmpl
 %%DATADIR%%/templates/es/users.tmpl
-%%DATADIR%%/templates/eu/add-class.tmpl
-%%DATADIR%%/templates/eu/add-printer.tmpl
-%%DATADIR%%/templates/eu/add-rss-subscription.tmpl
-%%DATADIR%%/templates/eu/admin.tmpl
-%%DATADIR%%/templates/eu/choose-device.tmpl
-%%DATADIR%%/templates/eu/choose-make.tmpl
-%%DATADIR%%/templates/eu/choose-model.tmpl
-%%DATADIR%%/templates/eu/choose-serial.tmpl
-%%DATADIR%%/templates/eu/choose-uri.tmpl
-%%DATADIR%%/templates/eu/class-added.tmpl
-%%DATADIR%%/templates/eu/class-confirm.tmpl
-%%DATADIR%%/templates/eu/class-deleted.tmpl
-%%DATADIR%%/templates/eu/class-jobs-header.tmpl
-%%DATADIR%%/templates/eu/class-modified.tmpl
-%%DATADIR%%/templates/eu/class.tmpl
-%%DATADIR%%/templates/eu/classes-header.tmpl
-%%DATADIR%%/templates/eu/classes.tmpl
-%%DATADIR%%/templates/eu/command.tmpl
-%%DATADIR%%/templates/eu/edit-config.tmpl
-%%DATADIR%%/templates/eu/error-op.tmpl
-%%DATADIR%%/templates/eu/error.tmpl
-%%DATADIR%%/templates/eu/header.tmpl
-%%DATADIR%%/templates/eu/help-header.tmpl
-%%DATADIR%%/templates/eu/help-printable.tmpl
-%%DATADIR%%/templates/eu/help-trailer.tmpl
-%%DATADIR%%/templates/eu/job-cancel.tmpl
-%%DATADIR%%/templates/eu/job-hold.tmpl
-%%DATADIR%%/templates/eu/job-move.tmpl
-%%DATADIR%%/templates/eu/job-moved.tmpl
-%%DATADIR%%/templates/eu/job-release.tmpl
-%%DATADIR%%/templates/eu/job-restart.tmpl
-%%DATADIR%%/templates/eu/jobs-header.tmpl
-%%DATADIR%%/templates/eu/jobs.tmpl
-%%DATADIR%%/templates/eu/list-available-printers.tmpl
-%%DATADIR%%/templates/eu/modify-class.tmpl
-%%DATADIR%%/templates/eu/modify-printer.tmpl
-%%DATADIR%%/templates/eu/norestart.tmpl
-%%DATADIR%%/templates/eu/option-boolean.tmpl
-%%DATADIR%%/templates/eu/option-conflict.tmpl
-%%DATADIR%%/templates/eu/option-header.tmpl
-%%DATADIR%%/templates/eu/option-pickmany.tmpl
-%%DATADIR%%/templates/eu/option-pickone.tmpl
-%%DATADIR%%/templates/eu/option-trailer.tmpl
-%%DATADIR%%/templates/eu/pager.tmpl
-%%DATADIR%%/templates/eu/printer-accept.tmpl
-%%DATADIR%%/templates/eu/printer-added.tmpl
-%%DATADIR%%/templates/eu/printer-configured.tmpl
-%%DATADIR%%/templates/eu/printer-confirm.tmpl
-%%DATADIR%%/templates/eu/printer-default.tmpl
-%%DATADIR%%/templates/eu/printer-deleted.tmpl
-%%DATADIR%%/templates/eu/printer-jobs-header.tmpl
-%%DATADIR%%/templates/eu/printer-modified.tmpl
-%%DATADIR%%/templates/eu/printer-purge.tmpl
-%%DATADIR%%/templates/eu/printer-reject.tmpl
-%%DATADIR%%/templates/eu/printer-start.tmpl
-%%DATADIR%%/templates/eu/printer-stop.tmpl
-%%DATADIR%%/templates/eu/printer.tmpl
-%%DATADIR%%/templates/eu/printers-header.tmpl
-%%DATADIR%%/templates/eu/printers.tmpl
-%%DATADIR%%/templates/eu/restart.tmpl
-%%DATADIR%%/templates/eu/samba-export.tmpl
-%%DATADIR%%/templates/eu/samba-exported.tmpl
-%%DATADIR%%/templates/eu/search.tmpl
-%%DATADIR%%/templates/eu/set-printer-options-header.tmpl
-%%DATADIR%%/templates/eu/set-printer-options-trailer.tmpl
-%%DATADIR%%/templates/eu/subscription-added.tmpl
-%%DATADIR%%/templates/eu/subscription-canceled.tmpl
-%%DATADIR%%/templates/eu/test-page.tmpl
-%%DATADIR%%/templates/eu/trailer.tmpl
-%%DATADIR%%/templates/eu/users.tmpl
 %%DATADIR%%/templates/fr/add-class.tmpl
 %%DATADIR%%/templates/fr/add-printer.tmpl
 %%DATADIR%%/templates/fr/add-rss-subscription.tmpl
@@ -396,18 +454,18 @@ sbin/reject
 %%DATADIR%%/templates/fr/choose-model.tmpl
 %%DATADIR%%/templates/fr/choose-serial.tmpl
 %%DATADIR%%/templates/fr/choose-uri.tmpl
-%%DATADIR%%/templates/fr/class.tmpl
 %%DATADIR%%/templates/fr/class-added.tmpl
 %%DATADIR%%/templates/fr/class-confirm.tmpl
 %%DATADIR%%/templates/fr/class-deleted.tmpl
 %%DATADIR%%/templates/fr/class-jobs-header.tmpl
 %%DATADIR%%/templates/fr/class-modified.tmpl
-%%DATADIR%%/templates/fr/classes.tmpl
+%%DATADIR%%/templates/fr/class.tmpl
 %%DATADIR%%/templates/fr/classes-header.tmpl
+%%DATADIR%%/templates/fr/classes.tmpl
 %%DATADIR%%/templates/fr/command.tmpl
 %%DATADIR%%/templates/fr/edit-config.tmpl
-%%DATADIR%%/templates/fr/error.tmpl
 %%DATADIR%%/templates/fr/error-op.tmpl
+%%DATADIR%%/templates/fr/error.tmpl
 %%DATADIR%%/templates/fr/header.tmpl
 %%DATADIR%%/templates/fr/help-header.tmpl
 %%DATADIR%%/templates/fr/help-trailer.tmpl
@@ -457,150 +515,10 @@ sbin/reject
 %%DATADIR%%/templates/fr/test-page.tmpl
 %%DATADIR%%/templates/fr/trailer.tmpl
 %%DATADIR%%/templates/fr/users.tmpl
-%%DATADIR%%/templates/hu/add-class.tmpl
-%%DATADIR%%/templates/hu/add-printer.tmpl
-%%DATADIR%%/templates/hu/add-rss-subscription.tmpl
-%%DATADIR%%/templates/hu/admin.tmpl
-%%DATADIR%%/templates/hu/choose-device.tmpl
-%%DATADIR%%/templates/hu/choose-make.tmpl
-%%DATADIR%%/templates/hu/choose-model.tmpl
-%%DATADIR%%/templates/hu/choose-serial.tmpl
-%%DATADIR%%/templates/hu/choose-uri.tmpl
-%%DATADIR%%/templates/hu/class.tmpl
-%%DATADIR%%/templates/hu/class-added.tmpl
-%%DATADIR%%/templates/hu/class-confirm.tmpl
-%%DATADIR%%/templates/hu/class-deleted.tmpl
-%%DATADIR%%/templates/hu/class-jobs-header.tmpl
-%%DATADIR%%/templates/hu/class-modified.tmpl
-%%DATADIR%%/templates/hu/classes.tmpl
-%%DATADIR%%/templates/hu/classes-header.tmpl
-%%DATADIR%%/templates/hu/command.tmpl
-%%DATADIR%%/templates/hu/edit-config.tmpl
-%%DATADIR%%/templates/hu/error.tmpl
-%%DATADIR%%/templates/hu/error-op.tmpl
-%%DATADIR%%/templates/hu/header.tmpl
-%%DATADIR%%/templates/hu/help-header.tmpl
-%%DATADIR%%/templates/hu/help-trailer.tmpl
-%%DATADIR%%/templates/hu/help-printable.tmpl
-%%DATADIR%%/templates/hu/job-cancel.tmpl
-%%DATADIR%%/templates/hu/job-hold.tmpl
-%%DATADIR%%/templates/hu/job-move.tmpl
-%%DATADIR%%/templates/hu/job-moved.tmpl
-%%DATADIR%%/templates/hu/job-release.tmpl
-%%DATADIR%%/templates/hu/job-restart.tmpl
-%%DATADIR%%/templates/hu/jobs.tmpl
-%%DATADIR%%/templates/hu/jobs-header.tmpl
-%%DATADIR%%/templates/hu/list-available-printers.tmpl
-%%DATADIR%%/templates/hu/modify-class.tmpl
-%%DATADIR%%/templates/hu/modify-printer.tmpl
-%%DATADIR%%/templates/hu/norestart.tmpl
-%%DATADIR%%/templates/hu/option-boolean.tmpl
-%%DATADIR%%/templates/hu/option-conflict.tmpl
-%%DATADIR%%/templates/hu/option-header.tmpl
-%%DATADIR%%/templates/hu/option-pickmany.tmpl
-%%DATADIR%%/templates/hu/option-pickone.tmpl
-%%DATADIR%%/templates/hu/option-trailer.tmpl
-%%DATADIR%%/templates/hu/pager.tmpl
-%%DATADIR%%/templates/hu/printer.tmpl
-%%DATADIR%%/templates/hu/printer-accept.tmpl
-%%DATADIR%%/templates/hu/printer-added.tmpl
-%%DATADIR%%/templates/hu/printer-configured.tmpl
-%%DATADIR%%/templates/hu/printer-confirm.tmpl
-%%DATADIR%%/templates/hu/printer-default.tmpl
-%%DATADIR%%/templates/hu/printer-deleted.tmpl
-%%DATADIR%%/templates/hu/printer-jobs-header.tmpl
-%%DATADIR%%/templates/hu/printer-modified.tmpl
-%%DATADIR%%/templates/hu/printer-purge.tmpl
-%%DATADIR%%/templates/hu/printer-reject.tmpl

*** DIFF OUTPUT TRUNCATED AT 1000 LINES ***
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 7 dfilter service freebsd_committer 2014-03-30 22:33:56 UTC
Author: bapt
Date: Sun Mar 30 21:33:51 2014
New Revision: 349681
URL: http://svnweb.freebsd.org/changeset/ports/349681
QAT: https://qat.redports.org/buildarchive/r349681/

Log:
  Add cups-filters, it contains backends, filters and other
  software that was once part of the core CUPS distribution but is
  no longer maintained by Apple Inc
  
  PR:		ports/186824
  Submitted by:	bsam

Added:
  head/print/cups-filters/
  head/print/cups-filters/Makefile   (contents, props changed)
  head/print/cups-filters/distinfo   (contents, props changed)
  head/print/cups-filters/files/
  head/print/cups-filters/files/patch-utils_cups-browsed.c   (contents, props changed)
  head/print/cups-filters/pkg-descr   (contents, props changed)
  head/print/cups-filters/pkg-plist   (contents, props changed)

Added: head/print/cups-filters/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/print/cups-filters/Makefile	Sun Mar 30 21:33:51 2014	(r349681)
@@ -0,0 +1,49 @@
+# $FreeBSD$
+
+PORTNAME=	cups-filters
+PORTVERSION=	1.0.42
+CATEGORIES=	print
+MASTER_SITES=	http://www.openprinting.org/download/cups-filters/
+
+MAINTAINER=	ports@FreeBSD.org
+COMMENT=	Backends, filters and other software (was part of the core CUPS)
+
+LIB_DEPENDS=	libjpeg.so:${PORTSDIR}/graphics/jpeg \
+		libtiff.so:${PORTSDIR}/graphics/tiff \
+		libpng15.so:${PORTSDIR}/graphics/png \
+		libijs.so:${PORTSDIR}/print/libijs \
+		liblcms2.so:${PORTSDIR}/graphics/lcms2 \
+		libqpdf.so:${PORTSDIR}/print/qpdf \
+		libdbus-1.so:${PORTSDIR}/devel/dbus \
+		libcups.so:${PORTSDIR}/print/cups-client \
+		libfreetype.so:${PORTSDIR}/print/freetype2 \
+		libfontconfig.so:${PORTSDIR}/x11-fonts/fontconfig \
+		libpoppler.so:${PORTSDIR}/graphics/poppler
+
+USES=		compiler:c++11-lib pathfix pkgconfig tar:xz
+USE_GNOME=	glib20
+USE_GHOSTSCRIPT=	yes
+GNU_CONFIGURE=	yes
+CUPS_SOCKET=	/var/run/cups.sock
+CONFIGURE_ARGS=	--with-domainsocket=${CUPS_SOCKET}
+CONFIGURE_ENV=	ZLIB_CFLAGS="-I/usr/include" ZLIB_LIBS="-lz" \
+		LIBQPDF_CFLAGS="-I/usr/local/include" LIBQPDF_LIBS="-lqpdf"
+
+CPPFLAGS+=	-I${LOCALBASE}/include
+LDFLAGS+=	-L${LOCALBASE}/lib
+USE_LDCONFIG=	yes
+
+OPTIONS_DEFINE=	AVAHI
+OPTIONS_DEFAULT=	AVAHI
+
+AVAHI_CONFIGURE_ENABLE=	avahi
+AVAHI_LIB_DEPENDS=	libavahi-client.so:${PORTSDIR}/net/avahi-app
+
+post-patch:
+	@${REINPLACE_CMD} 's:-std=c++0x:-std=c++11:' ${WRKSRC}/Makefile.in
+
+post-install:
+	@${RM} -rf ${STAGEDIR}${PREFIX}/libexec/cups/filter/foomatic-rip \
+		${STAGEDIR}${PREFIX}/man/man1/foomatic-rip.1
+
+.include <bsd.port.mk>

Added: head/print/cups-filters/distinfo
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/print/cups-filters/distinfo	Sun Mar 30 21:33:51 2014	(r349681)
@@ -0,0 +1,2 @@
+SHA256 (cups-filters-1.0.42.tar.xz) = 3df524207ab24472430cffba7f01407b8adc094ec40094c5f6682d5a88a70dd6
+SIZE (cups-filters-1.0.42.tar.xz) = 1097860

Added: head/print/cups-filters/files/patch-utils_cups-browsed.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/print/cups-filters/files/patch-utils_cups-browsed.c	Sun Mar 30 21:33:51 2014	(r349681)
@@ -0,0 +1,18 @@
+--- utils/cups-browsed.c.orig  2013-12-27 20:45:55.188455147 +0400
++++ utils/cups-browsed.c   2013-12-27 20:46:23.397446686 +0400
+@@ -23,7 +23,6 @@
+ 
+ #include <ctype.h>
+ #include <errno.h>
+-#include <ifaddrs.h>
+ #if defined(__OpenBSD__)
+ #include <sys/socket.h>
+ #endif /* __OpenBSD__ */
+@@ -33,6 +32,7 @@
+ #include <stdio.h>
+ #include <sys/types.h>
+ #include <sys/stat.h>
++#include <ifaddrs.h>
+ #include <assert.h>
+ #include <stdlib.h>
+ #include <time.h>

Added: head/print/cups-filters/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/print/cups-filters/pkg-descr	Sun Mar 30 21:33:51 2014	(r349681)
@@ -0,0 +1,5 @@
+The CUPS Filters package contains backends, filters and other
+software that was once part of the core CUPS distribution but is
+no longer maintained by Apple Inc.
+
+WWW: http://www.linuxfromscratch.org/blfs/view/svn/pst/cups-filters.html

Added: head/print/cups-filters/pkg-plist
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/print/cups-filters/pkg-plist	Sun Mar 30 21:33:51 2014	(r349681)
@@ -0,0 +1,94 @@
+bin/ttfread
+etc/cups/cups-browsed.conf
+etc/fonts/conf.d/99pdftoopvp.conf
+include/cupsfilters/colord.h
+include/cupsfilters/driver.h
+include/cupsfilters/image.h
+include/cupsfilters/raster.h
+include/fontembed/bitset.h
+include/fontembed/embed.h
+include/fontembed/fontfile.h
+include/fontembed/iofn.h
+include/fontembed/sfnt.h
+lib/libcupsfilters.a
+lib/libcupsfilters.la
+lib/libcupsfilters.so
+lib/libcupsfilters.so.1
+lib/libfontembed.a
+lib/libfontembed.la
+lib/libfontembed.so
+lib/libfontembed.so.1
+libdata/pkgconfig/libcupsfilters.pc
+libdata/pkgconfig/libfontembed.pc
+libexec/cups/backend/parallel
+libexec/cups/backend/serial
+libexec/cups/filter/bannertopdf
+libexec/cups/filter/commandtoescpx
+libexec/cups/filter/commandtopclx
+libexec/cups/filter/gstopxl
+libexec/cups/filter/gstoraster
+libexec/cups/filter/imagetopdf
+libexec/cups/filter/imagetops
+libexec/cups/filter/imagetoraster
+libexec/cups/filter/pdftoijs
+libexec/cups/filter/pdftoippprinter
+libexec/cups/filter/pdftoopvp
+libexec/cups/filter/pdftopdf
+libexec/cups/filter/pdftops
+libexec/cups/filter/pdftoraster
+libexec/cups/filter/pstopdf
+libexec/cups/filter/rastertoescpx
+libexec/cups/filter/rastertopclx
+libexec/cups/filter/textonly
+libexec/cups/filter/texttopdf
+libexec/cups/filter/texttops
+libexec/cups/filter/urftopdf
+man/man5/cups-browsed.conf.5.gz
+man/man8/cups-browsed.8.gz
+sbin/cups-browsed
+share/cups/banners/classified
+share/cups/banners/confidential
+share/cups/banners/secret
+share/cups/banners/standard
+share/cups/banners/topsecret
+share/cups/banners/unclassified
+share/cups/charsets/pdf.utf-8
+share/cups/charsets/pdf.utf-8.heavy
+share/cups/charsets/pdf.utf-8.simple
+share/cups/data/default-testpage.pdf
+share/cups/data/default.pdf
+share/cups/data/testprint
+share/cups/drv/cupsfilters.drv
+share/cups/mime/cupsfilters.convs
+share/cups/mime/cupsfilters.types
+share/cups/ppdc/escp.h
+share/cups/ppdc/pcl.h
+%%PORTDOCS%%%%DOCSDIR%%/AUTHORS
+%%PORTDOCS%%%%DOCSDIR%%/COPYING
+%%PORTDOCS%%%%DOCSDIR%%/INSTALL
+%%PORTDOCS%%%%DOCSDIR%%/NEWS
+%%PORTDOCS%%%%DOCSDIR%%/README
+share/ppd/cupsfilters/Generic-PDF_Printer-PDF.ppd
+share/ppd/cupsfilters/HP-Color_LaserJet_CM3530_MFP-PDF.ppd
+share/ppd/cupsfilters/HP-PhotoSmart_Pro_B8300-hpijs-pdftoijs.ppd
+share/ppd/cupsfilters/pxlcolor.ppd
+share/ppd/cupsfilters/pxlmono.ppd
+share/ppd/cupsfilters/textonly.ppd
+@dirrmtry share/ppd/cupsfilters
+@dirrmtry share/ppd
+%%PORTDOCS%%@dirrmtry %%DOCSDIR%%
+@dirrmtry share/cups/ppdc
+@dirrmtry share/cups/mime
+@dirrmtry share/cups/drv
+@dirrmtry share/cups/data
+@dirrmtry share/cups/charsets
+@dirrmtry share/cups/banners
+@dirrmtry share/cups
+@dirrmtry libexec/cups/filter
+@dirrmtry libexec/cups/backend
+@dirrmtry libexec/cups
+@dirrmtry include/fontembed
+@dirrmtry include/cupsfilters
+@dirrmtry etc/fonts/conf.d
+@dirrmtry etc/fonts
+@dirrmtry etc/cups
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"